/* tr4.c */
#include <stdio.h>
#include <string.h>

#define IS_SJIS1(c) ((c >= 0x81 && c <=0x9f) || (c >= 0xe0 && c <= 0xef))
#define IS_SJIS2(c) ((c >= 0x40 && c <=0x7e) || (c >= 0x80 && c <= 0xfc))

int main(void)
{
	unsigned char *s = "0123ABCA`XYZ";
	unsigned char c1, c2;
	int i, len;

	len = strlen(s);
	for (i = 0 ; i < len - 1 ; i++) {
		c1 = s[i];
		c2 = s[i+1];
		if (IS_SJIS1(c1) && IS_SJIS2(c2)) {
			printf("u%c%cv̓VtgJISR[hł\n", c1, c2);
			i++;
		} 
	}

	return 0;
}

